# asResolver

@ JvmStatic
@ JvmName (name = "resolveObject")
fun < T : Any > T . asResolver (): KavaRef.MemberScope < T >

Create a MemberScope instance to start a new reflection.

#### Return

MemberScope<T>

#### See also

KavaRef.Companion.resolve

fun KavaRef.MemberScope <*>. asResolver (): KavaRef.MemberScope <*>
fun MemberCondition <*, *, *>. asResolver (): MemberCondition <*, *, *>
fun MemberResolver <*, *>. asResolver (): MemberResolver <*, *>
fun List < MemberResolver <*, *>>. asResolver (): List < MemberResolver <*, *>>

### Deprecated (with error)

You are calling asResolver() in KavaRef internal component, it's an error and should delete it.

This is a fake function call chains to avoid internal calls to themselves.